<div class="login">
    <h1> Log In To Online Freelance Market Place </h1>
    <form [formGroup]='form' (ngSubmit)="myMethode()">
      <div class="form-group">
         <input formControlName="email" class="form-control" placeholder="Email / Username" type="email"> <br>
               <div class="alert alert-danger" *ngIf="!form.controls['email'].valid && 
               (form.controls['email'].touched || isFormSubmitted)">
               <p *ngIf="form.controls['email'].errors.required">Email is required</p>
              </div>
         <input formControlName="password" placeholder="Password" type="password" class="form-control"> <br>
              <div class="alert alert-danger" *ngIf="!form.controls['password'].valid && 
               (form.controls['password'].touched || isFormSubmitted)">
               <p *ngIf="form.controls['password'].errors.required">Password is required</p>
             </div>
         <p>Not a member</p>
         <div class="btn">
               
               <button class="btn btn-cta btn-primary m1" type="submit" *ngIf="!formUpdating">Sign In</button>

            </div>
            <div class="forget">
               <a href="Forget Password">Forget Password</a>
               <a routerLink="/sign-up" >Sign Up Now</a>
            </div>
            
      </div>
    </form>
</div>



